Bug 1002068 - clicking on url within thunderbird opens empty new browser window
clicking on url within thunderbird opens empty new browser window
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jan Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 08:36 EDT by Maarten
Modified: 2013-10-29 07:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 07:03:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maarten 2013-08-28 08:36:55 EDT
Description of problem:
Clicking on a url within thunderbird doesn't lead to said url in a browser. Instead it opens an empty browser window

Version-Release number of selected component (if applicable):
17.0.8 (fedora 19 kde)

How reproducible:
Always

Steps to Reproduce:
1. click on an url in a mail (or, e.g., in the About thunderbird window)

Actual results:
Empty new browser window opens

Expected results:
New tab within existing browser session opens, displaying the url

Additional info:
This is new behaviour for me
Comment 1 Maarten 2013-09-10 08:15:27 EDT
using firefox from okular (mouse select a word, right click, 'Search for ... with google' does open a new tab with the correct page within an existing firefox session. So in my opinion the unexpected behaviour initiates from thunderbird, not firefox
Comment 2 Jan Horak 2013-09-10 08:19:28 EDT
Please attach output of following commands:
xdg-mime query default x-scheme-handler/http
xdg-mime query default x-scheme-handler/https
Comment 3 Maarten 2013-09-11 04:59:34 EDT
xdg-mime query default x-scheme-handler/http
konqbrowser.desktop

xdg-mime query default x-scheme-handler/https
chromium-browser.desktop

Clicking on an https link opens a box where I can select which application to use. If I choose firefox, then the same things happens as before (an empty window opens ignoring the fact that ff is open already, no link displayed). If I choose to open the https link with chromium-browser however, it does open the correct link as a new tab within an existing session!

After some googling I entered the following command without success:
xdg-mime default firefox.desktop x-scheme-handler/http

I use KDE
Comment 4 Maarten 2013-10-29 07:03:01 EDT
The problem has disappeared after a few updates (current thunderbird&firefox 24.0). Today upon clicking a https link I was prompted to choose an application. then updating the application for http links (firefox) worked as expected

Note You need to log in before you can comment on or make changes to this bug.